Page MenuHomeFreeBSD

Import upstreaam code to fix nll pointer dereference
ClosedPublic

Authored by madpilot on Apr 26 2018, 4:09 PM.
Tags
None
Referenced Files
Unknown Object (File)
May 2 2024, 7:15 PM
Unknown Object (File)
May 2 2024, 7:15 PM
Unknown Object (File)
May 2 2024, 3:59 PM
Unknown Object (File)
May 2 2024, 3:33 PM
Unknown Object (File)
Apr 26 2024, 10:37 PM
Unknown Object (File)
Apr 19 2024, 3:15 PM
Unknown Object (File)
Mar 12 2024, 7:23 AM
Unknown Object (File)
Mar 12 2024, 7:23 AM
Subscribers

Details

Summary

While using calibre I was experiencing frequent crashes. Some investigation leaded me to this upstream commit:

https://github.com/annulen/webkit/commit/0e75f3272d149bc64899c161f150eb341a2417af

I am running with this patch applied and I don't see crashes anymore.

I'd like to apply it to the official port.

I think this should also be merged to the quarterly branch.

Test Plan

I'm using patched code locally without problems. It's also alreaady committed to the upstream repo.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

tcberner added a subscriber: tcberner.

If it builds, go ahead.
But please add the URL to the commit to the top of the patch so we have the content.

This revision is now accepted and ready to land.Apr 26 2018, 6:24 PM
This revision was automatically updated to reflect the committed changes.